
//----------------------------------------------------------------------------------------------------
// tctec.net
// super4 USB Relay Module example
//
// Visual Studio C++
// 64 bit compile
//
//
//  05-Mar-2023   Created
//
//
//

// Super4_cplusplus.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include "ftd_dll.h"

int main()
{

    char RELAYBOARD[] = "FT7SVTLH";                     //<< The Board name used for testing, change this


    char boardNames[10][20];
    uint8_t relay_to_set = 0;
    int relayCount = 0;
    int i = 0;

    printf("Start..\n");

    setupLibrary();

    printf("\n");

    relayCount = ListRelays(boardNames);
    for (i = 0; i < relayCount; i++)
    {
        printf("Found %s \n", boardNames[i]);
    }



    // This will set relays one at a time
    //
    relay_to_set = 0b00000001;

    for (int i = 0; i < 20; i++)
    {
        printf("set \n");

        SetRelays(RELAYBOARD,  relay_to_set, 1);

        Sleep(250);

        // turn off
        //
        SetRelays(RELAYBOARD, relay_to_set, 0);
        Sleep(10);

        relay_to_set <<= 1;
        if (relay_to_set > 8)
            relay_to_set = 0b00000001;
    }

    // set all on
    //
    SetRelays(RELAYBOARD, 0b00001111, 1);
    Sleep(1000);

    // set all off
    //
    SetRelays(RELAYBOARD, 0b00001111, 0);
   

}


